This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 495199 - RFE: make gpk-log available from gpk-application (Patch attached)
RFE: make gpk-log available from gpk-application (Patch attached)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 06:01 EDT by Christoph Wickert
Modified: 2009-07-01 06:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-01 06:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add menu entry for gpk-log to the menu in gpk-application (2.68 KB, patch)
2009-04-10 06:01 EDT, Christoph Wickert
no flags Details | Diff

  None (edit)
Description Christoph Wickert 2009-04-10 06:01:26 EDT
Created attachment 339075 [details]
Add menu entry for gpk-log to the menu in gpk-application

Description of problem:
gpk-application should be the central frontend to all package management related tasks, which also includes the log viewer gpk-log. ATM only gpk-repo is available in the menu. This patch adds a menu entry for the log viewer.

Version-Release number of selected component (if applicable):
gnome-packagekit-2.27.1, but the patch also works with 0.3.14

Additional info:
The icon does not show up, no idea why as logviewer.png is provided by several icon sets. Maybe the gkp-log icon should be used for consistency (same for gpk-repo which uses cdrom icon), but this would require changes to the icons included in gnome-packagekit.
Comment 1 Richard Hughes 2009-04-15 12:44:27 EDT
I'm not sure this makes much sense -- it's already available in Applications -> System Tools. It's not designed to be the central frontend at all, just another tool.
Comment 2 Christoph Wickert 2009-04-15 16:16:26 EDT
(In reply to comment #1)
> I'm not sure this makes much sense -- it's already available in Applications ->
> System Tools. 

The same goes for gkp-repo, which is available in gkp-application's menu, too. And IMHO gpk-log is as important as gpk-repo, if not even more important: Currently it's the only way to completely remove a package with all it's dependencies. It would be nice if PackageKit would suggest to uninstall them automatically, but this is worth another RFE and I guess, it's already on your todo list.
Comment 3 Richard Hughes 2009-06-25 05:21:58 EDT
gpk-repo is designed for the user to see what they installed "last week", or "yesterday" -- I'm not sure it makes sense to show in the tool that installed the software. I'm open for ideas. Matthias?
Comment 4 Christoph Wickert 2009-07-01 04:18:43 EDT
(In reply to comment #3)
> gpk-repo is designed for the user to see what they installed "last week", or
> "yesterday" 

You mean gpk-log, right?

> I'm not sure it makes sense to show in the tool that installed
> the software.

As long as gpk-application does not remove packages that were installed as deps it does.
Comment 5 Richard Hughes 2009-07-01 06:03:18 EDT
commit 9acdb6820cd01e73fc863a58c384446c62b99a85
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jul 1 11:01:57 2009 +0100

    Add --parent-window options to the client tools so they are set transient in gpk-application

:100644 100644 5cb1958... 0c6f11e... M  src/gpk-application.c
:100644 100644 57c6942... c226419... M  src/gpk-common.c
:100644 100644 35eb5e3... 37b636e... M  src/gpk-common.h
:100644 100644 a5b55de... 0ad25d4... M  src/gpk-log.c
:100644 100644 1fd7d1f... 75c0f00... M  src/gpk-prefs.c
:100644 100644 f5ca4e4... d5943f1... M  src/gpk-repo.c

commit c4c0c2f42035e0de633c1f66ea2ab6d4719a5cd8
Author: Christoph Wickert <fedora@christoph-wickert.de>
Date:   Wed Jul 1 10:31:04 2009 +0100

    Add a link to gpk-log in gpk-application

:100644 100644 d693a00... c73a7f6... M  data/gpk-application.ui
:100644 100644 041ff48... 5cb1958... M  src/gpk-application.c

Note You need to log in before you can comment on or make changes to this bug.